Title: Bullet Journal Notes

[![](/files/i/t/bullet_scan.jpg)](/files/i/bullet_scan.jpg)

The original notes from my bullet journal that I took on my exocortex
are found on page 109-110 of that journal; page 108 is journal entries
for 2021-02-08 and 2021-02-16; page 111 starts with 2021-02-17. The
first entry in the mercurial logs for the first pass I started last
year was 2021-02-14.

* Goal
  - Collect artifacts + notes → current knowledge
  - Daily writeups
* Ex.
  - Gemlog
  - notes.org
  - books/*.org
  - PDF docs
* SCM is a red herring
* Evernote
  - notes/folders
  - clipper
  - tags
  - everything searchable
  - synced (may be red herring)
* Quiver
  - cell types
* Jupyter notebooks
  - code
  - markdown
* swolfram
  - [archive](https://writings.stephenwolfram.com/2019/02/seeking-the-productive-life-some-details-of-my-personal-infrastructure/)
* Solution
  - Minimal viable metadata
    - Data
    - Tags
  - Artifact link
    - Central artifact repo
    - Hash/link
    - Node type (article, notes, ...)
  - Type: Node = Folder|Page|Artifact
  - How to create a searchable index?
  - Retain old copies
  - Index header
    - Date retrieved
    - Doc ID
    - Source
* Artifact header
  - Needs to support history
  - Doc ID
  - Date retrieved / stored
  - Artifact date
  - Source
  - Artifact type
  - Tags
  - Category
  - Blobs
    - Format
    - Blob ID
* Central artifact repository
  - Metadata index
  - Blob store
  - Upload interface
* Elements of an exocortex
  - Artifacts
  - Artifact repository
  - Notes
  - Structure
  - UI
    - Query
    - Exploratory
    - Presentation
    - Update
  - Locality
  - Totality
